Skip to content

models module route (requires models:model-group:write)

POST
/v1/m/models/model-groups
curl --request POST \
--url https://example.com/v1/m/models/model-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "description": "example", "family_selectors": [ "example" ], "id": "example", "member_refs": "example", "name": "example", "tier_selectors": [ "example" ] }'

Creates one model group from the posted document.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

Media type application/json
Any of:
object
description
string
family_selectors
Array<string>
id
string
member_refs
required
name
required
string
>= 1 characters /\S/
tier_selectors
Array<string>
Example generated
{
"description": "example",
"family_selectors": [
"example"
],
"id": "example",
"member_refs": "example",
"name": "example",
"tier_selectors": [
"example"
]
}

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}